Get Models List
The /beta/v1/models endpoint provides a unified way to query and discover all AI models supported by our platform. By calling this endpoint, you can obtain the unique ID, owner, creation time, and other key information of each model, helping you make the best model selection in your application.
With an OriginRouter One subscription, choose the corresponding Coding API endpoint and make sure the model ID comes from the Supported Models list; with the pay-as-you-go API plan, choose the corresponding Beta API endpoint and make sure the model ID comes from the Model List; a plan and endpoint mismatch may make models unavailable or result in unexpected billing.
List Models
This endpoint is used to retrieve the complete list of all models currently supported by the platform. Upon successful call, it returns a list containing all model objects.
Headers
- Name
Authorization- Type
- string
- Optional
- Optional
- Description
- Optional authentication method. Credentials for API authentication. For details, see Authentication.
- Name
x-api-key- Type
- string
- Optional
- Optional
- Description
- Optional authentication method. Pass your API key directly. Note: Do not use both
Authorizationandx-api-keysimultaneously.
Request Body
This endpoint does not currently support any optional parameters.
Response Body
- Name
object- Type
- string
- Required
- Required
- Description
- Indicates the type of the returned object. Defaults to
list.
- Name
data- Type
- array
- Required
- Required
- Description
- An array containing one or more resource objects, where each element represents a specific model resource.
Request
curl https://api.easytransnote.com/beta/v1/models \
-H "Authorization: Bearer {YOUR_API_KEY}"
Response
{
"object": "list",
"data": [
{
"id": "gpt-5-2025-08-07",
"object": "model",
"created": 1754654400,
"owned_by": "openai"
},
{
"id": "claude-opus-4-1-20250805"
// ...
}
]
}